<?php

/**
 * ApiController
 * 
 * @author
 * @version 
 */

require_once 'Zend/Controller/Action.php';

class ApiController extends Zend_Rest_Controller
{
	
	protected $appName;
	
	public function init()
	{
		$this->_helper->viewRenderer->setNoRender(true);

		$this->no_results = array('status' => 'NO_RESULTS');
		//$this->_helper->getHelper('layout')->disableLayout();
	}
	public function preDispatch()
	{
	
		/*
		if (! $this->authAccepted())
			throw new Exception("private key authentication failed");
	*/	
	}
/**
     * List
     *
     * The index action handles index/list requests; it responds with a
     * list of the requested resources.
     * 
     * @return json
     */
    public function indexAction()
    {
        // do some processing...
        // Send the JSON response:
        $this->_helper->json($this->no_results);
    }
    // 1.9.2 fix
    public function listAction() { return $this->_forward('index'); }

    /**
     * View
     *
     * The get action handles GET requests and receives an 'id' parameter; it 
     * responds with the server resource state of the resource identified
     * by the 'id' value.
     * 
     * @param integer $id
     * @return json
     */
    public function getAction()
    {
        if(!$id = $this->_getParam('id', 0)){
			echo "no id";        	
        } else {

        // do some processing...
        // Send the JSON response:
        $this->_helper->json($this->no_results);
    
        }
    }

    /**
     * Create
     *
     * The post action handles POST requests; it accepts and digests a
     * POSTed resource representation and persists the resource state.
     * 
     * @param integer $id
     * @return json
     */
    public function postAction()
    {
        $id = $this->_getParam('id', 0);
        $my = $this->_getAllParams();

        // do some processing...
        // Send the JSON response:
        $this->_helper->json($this->no_results);
    }

    /**
     * Update
     *
     * The put action handles PUT requests and receives an 'id' parameter; it 
     * updates the server resource state of the resource identified by 
     * the 'id' value.
     * 
     * @param integer $id
     * @return json
     */
    public function putAction()
    {
        $id = $this->_getParam('id', 0);
        $my = $this->_getAllParams();

        // do some processing...
        // Send the JSON response:
        $this->_helper->json($this->no_results);
    }

    /**
     * Delete
     *
     * The delete action handles DELETE requests and receives an 'id' 
     * parameter; it updates the server resource state of the resource
     * identified by the 'id' value.
     * 
     * @param integer $id
     * @return json
     */
    public function deleteAction()
    {
        $id = $this->_getParam('id', 0);

        // do some processing...
        // Send the JSON response:
        $this->_helper->json($this->no_results);
    }

	
	
	
	private function authAccepted()
	{
	
		$this->appName = $this->getRequest()->getParam('appName');
		$keys = $this->config->api->toArray();

		$this->clientKey = $keys[$this->appName]['secret'];
		$signature = $this->signArgs($_POST);


		if ($signature == $this->getRequest()->getParam('auth'))
			return true;
		
		return false;;
	}
	private function signArgs($args){
		ksort($args);
		$a = '';
		foreach($args as $k => $v)
		{
			if ($k == 'auth')
				continue;

			$a .= $k . $v;
		}
		return md5($this->clientKey.$a);
	}
}
?>

