<?php
/**
 * Zend Framework Bootstrap code from listing B.2 here
 */
require_once 'Net/DNS2.php';
require_once 'Net/URL2.php';

$module_id = 6;
$urls = $db->fetchall("SELECT * FROM url_analysis_queue WHERE module_id = '6' LIMIT 1000");

foreach($urls as $url){

	// add http to sources that only supply domain name for same parsing in Net_URL2
	switch($url['url_src']){
		case '1':
			$u = 'http://'.$url['url'];
		case '3':
			$u = 'http://'.$url['url'];
		default:
			$u = $url['url'];
	}

	$url2 = &new Net_URL2($u);
	$host = $url2->host;
	
	$r = new Net_DNS2_Resolver();
	try {
		$result = $r->query($url2->host);
		$ipaddr = $result->answer['0']->address;
	
	} catch(Net_DNS2_Exception $e) {
	
		echo "::query() failed: ", $e->getMessage(), "\n";
		//print_r($e);
		
	}
	$up = 1;
	if(!isset($ipaddr)){
		$ipaddr = 1;
		$up = 0;
	}


	$domain = $db->fetchall("SELECT * FROM domain WHERE domain = '".$url2->host."'");
	if(empty($domain)){
		$domain_id = $db->insert('domain', array('domain' => $url2->host));
		$domain_id = $db->lastInsertId();
	} else {
		$domain_id = $domain[0]['id'];
	}

	$ip_long = ip2long($ipaddr);
	
	$ip2 = $db->fetchall("SELECT * FROM ip WHERE ip = '".$ip_long."'");

	if(empty($ip2)){
		$db->insert('ip', array('ip' => $ip_long));
		$ip_id = $db->lastInsertId();
	} else {
		$ip_id = $ip2[0]['id'];
	}


	$data = array('url_id' => $url['url_id'],
			'ip_id' => $ip_id,
			'domain_id' => $domain_id,
			'up' => $up);


	
	$db->insert('ip_domain_url', $data);

	$db->delete('url_analysis_queue',
			array('url_id = ?' => $url['url_id'],
				  'module_id =? ' => $module_id)
			);
	
	echo $url2->host."\n";
	
}
?>