<?php
/**
 * Zend Framework Bootstrap code from listing B.2 here
 */
require_once 'HTTP/Request2.php';

$module_id = 4;

$tasks = $db->fetchall("SELECT * FROM mag2_tasks mt
						WHERE mt.task_state LIKE 'CORE_COMPLETE'
						and mt.task_id NOT IN(
						SELECT mag2_risk.task_id from mag2_risk)"
						);

foreach($tasks as $task){
	
	 $request = new HTTP_Request2('https://mag2.norman.com/analysis_center/view_task/'.$task['task_id']."/");
	
	$request->setMethod(HTTP_Request2::METHOD_GET)
	->setConfig(array('ssl_verify_peer' => false));
	
	$response = $request->send();
	$html = $response->getBody();
	$lines = array();
	foreach(preg_split("/(\r?\n)/", $html) as $line){
		$lines[] = $line;
		if(strstr($line, '<input type="hidden" name="anticsrf" value="')){
			$csrf = trim($line);
		}
	}
	
	
	$key = substr($csrf, 7+strpos($csrf, 'value="'), 40);
	
	$request2 = new HTTP_Request2('https://mag2.norman.com/analysis_center/view_task/'.$task['task_id']."/");
	$request2->setMethod(HTTP_Request2::METHOD_POST)
	->addPostParameter('login', 'true')
	->addPostParameter('anticsrf', $key)
	->addPostParameter('username', 'vaagland')
	->addPostParameter('password', 'passwd')
	->addPostParameter('login_submit', 'login')
	
	->setConfig(array('ssl_verify_peer' => false));
	
	foreach ($response->getCookies() as $arCookie) {
	$request2->addCookie($arCookie['name'], $arCookie['value']);
	}
	
	$response = $request2->send();
	$html = $response->getBody();
	
	
	
	$lines = array();
	foreach(preg_split("/(\r?\n)/", $html) as $line){
		$lines[] = $line;
	if(strstr($line, '<li><b>Risk level:</b>')){
		$risk = trim($line);
	}
	}

	$risk = (int) substr($risk, 5+strpos($risk, '</b> '),1);

	$data = $task;
	unset($data['task_state']);
	$data['risk'] = $risk;
	var_dump($data);
	$db->insert('mag2_risk', $data);
	
	

}
?>