<?php
/**
 * Zend Framework Bootstrap code from listing B.2 here
 */
require_once 'HTTP/Request2.php';

$samples = $db->fetchall("SELECT * FROM thug_samples WHERE type ='PE'");
$data = array();

foreach($samples as $sample){
	$request = new HTTP_Request2('https://mag2.norman.com/rapi/samples?owner=vaagland');
	$request->setMethod(HTTP_Request2::METHOD_POST)
			->setConfig(array('ssl_verify_peer' => false))
			->addUpload('upload', $sample['filename']/*, md5($sample['url'])*/);

	try {
		$response = $request->send();
		if (200 == $response->getStatus()) {
			$mag2 = json_decode($response->getBody());
			$mag2 = $mag2->results[0];
		} else {
			echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
					$response->getReasonPhrase();
		}
	
	} catch (HTTP_Request2_Exception $e) {
		echo 'Error: ' . $e->getMessage();
	}
	
	
	if($mag2 != false){
		$request = new HTTP_Request2('https://mag2.norman.com/rapi/tasks?owner=vaagland');
		$request->setMethod(HTTP_Request2::METHOD_POST)
		->setConfig(array('ssl_verify_peer' => false))
		->addPostParameter('sample_id', $mag2->samples_sample_id)
		->addPostParameter('env', "ivm")
		->addPostParameter('tp_IVM.FIREWALL', 3);
		try {
			$response = $request->send();
			if (200 == $response->getStatus()) {
				print_r($response->getBody());
				$mag2_task = json_decode($response->getBody());
				$mag2_task = $mag2_task->results[0];
	
	$url_id = $db->fetchall("SELECT id FROM url WHERE url = '".$sample['url']."'");
	print_r($url_id);

	if($url_id[0]['id']){
		$data = array('url_id' => $url_id[0]['id'],
				'sample_id' => $mag2_task->tasks_sample_id,
				'task_id' => $mag2_task->tasks_task_id,
				'task_state' => $mag2_task->task_state_state);
		$db->insert('mag2_tasks', $data);
	}else{
		echo "whoops ". $sample['url']. "is not in url table\n";
	}
} else {
		echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
			$response->getReasonPhrase();
}
} catch (HTTP_Request2_Exception $e) {
	echo 'Error: ' . $e->getMessage();
}
	}
	
}
