-- phpMyAdmin SQL Dump
-- version 3.3.7deb7
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Jun 11, 2012 at 11:55 AM
-- Server version: 5.1.61
-- PHP Version: 5.3.3-7+squeeze9

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `malurlman`
--

-- --------------------------------------------------------

--
-- Table structure for table `analysis`
--

CREATE TABLE IF NOT EXISTS `analysis` (
  `id` int(12) NOT NULL AUTO_INCREMENT,
  `url_id` int(12) NOT NULL,
  `result_id` int(12) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `analysis_module`
--

CREATE TABLE IF NOT EXISTS `analysis_module` (
  `id` int(12) NOT NULL AUTO_INCREMENT,
  `name` varchar(40) CHARACTER SET latin1 NOT NULL,
  `status` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=9 ;

-- --------------------------------------------------------

--
-- Table structure for table `analysis_module_results`
--

CREATE TABLE IF NOT EXISTS `analysis_module_results` (
  `id` int(12) NOT NULL AUTO_INCREMENT,
  `module_id` int(12) NOT NULL,
  `results` text CHARACTER SET latin1 NOT NULL,
  `start_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `end_time` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Table structure for table `domain`
--

CREATE TABLE IF NOT EXISTS `domain` (
  `id` int(12) NOT NULL AUTO_INCREMENT,
  `domain` text COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1308 ;

-- --------------------------------------------------------

--
-- Table structure for table `ip`
--

CREATE TABLE IF NOT EXISTS `ip` (
  `id` int(12) NOT NULL AUTO_INCREMENT,
  `ip` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1084 ;

-- --------------------------------------------------------

--
-- Table structure for table `ip_domain`
--

CREATE TABLE IF NOT EXISTS `ip_domain` (
  `url_id` int(11) NOT NULL,
  `fqdn` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `destfqdn` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `ip` int(11) NOT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `up` tinyint(1) NOT NULL,
  `insert_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `fqdn` (`fqdn`,`ip`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `ip_domain_url`
--

CREATE TABLE IF NOT EXISTS `ip_domain_url` (
  `id` int(12) NOT NULL AUTO_INCREMENT,
  `url_id` int(11) NOT NULL,
  `ip_id` int(12) NOT NULL,
  `domain_id` int(12) NOT NULL,
  `up` tinyint(1) NOT NULL,
  `insert_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1771 ;

-- --------------------------------------------------------

--
-- Table structure for table `mag2_risk`
--

CREATE TABLE IF NOT EXISTS `mag2_risk` (
  `url_id` int(11) NOT NULL,
  `sample_id` int(11) NOT NULL,
  `task_id` int(11) NOT NULL,
  `risk` int(11) NOT NULL,
  PRIMARY KEY (`task_id`,`url_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `mag2_tasks`
--

CREATE TABLE IF NOT EXISTS `mag2_tasks` (
  `url_id` int(11) NOT NULL,
  `sample_id` int(11) NOT NULL,
  `task_id` int(11) NOT NULL,
  `task_state` text COLLATE utf8_unicode_ci NOT NULL,
  KEY `url_id` (`url_id`,`sample_id`,`task_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `status`
--

CREATE TABLE IF NOT EXISTS `status` (
  `id` int(13) NOT NULL AUTO_INCREMENT,
  `status` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `desc` text COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=4 ;

-- --------------------------------------------------------

--
-- Table structure for table `thug_samples`
--

CREATE TABLE IF NOT EXISTS `thug_samples` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `type` text COLLATE utf8_unicode_ci NOT NULL,
  `url` text COLLATE utf8_unicode_ci NOT NULL,
  `filename` text COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=55 ;

-- --------------------------------------------------------

--
-- Table structure for table `thug_tasks`
--

CREATE TABLE IF NOT EXISTS `thug_tasks` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `url_id` int(11) NOT NULL,
  `url` text COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=4940 ;

-- --------------------------------------------------------

--
-- Table structure for table `url`
--

CREATE TABLE IF NOT EXISTS `url` (
  `id` int(13) NOT NULL AUTO_INCREMENT,
  `status` int(11) NOT NULL,
  `time_added` int(11) NOT NULL,
  `last_checked` int(11) NOT NULL,
  `url` text COLLATE utf8_unicode_ci NOT NULL,
  `source` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=23309 ;

-- --------------------------------------------------------

--
-- Table structure for table `url_analysis_queue`
--

CREATE TABLE IF NOT EXISTS `url_analysis_queue` (
  `id` int(13) NOT NULL AUTO_INCREMENT,
  `module_id` int(13) NOT NULL,
  `url` text COLLATE utf8_unicode_ci NOT NULL,
  `url_id` int(13) NOT NULL,
  `url_src` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1771 ;

-- --------------------------------------------------------

--
-- Table structure for table `url_domain`
--

CREATE TABLE IF NOT EXISTS `url_domain` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `url_id` int(11) NOT NULL,
  `domain_id` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `url_queue`
--

CREATE TABLE IF NOT EXISTS `url_queue` (
  `id` int(13) NOT NULL AUTO_INCREMENT,
  `url` text COLLATE utf8_unicode_ci NOT NULL,
  `source` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1771 ;

-- --------------------------------------------------------

--
-- Table structure for table `url_sources`
--

CREATE TABLE IF NOT EXISTS `url_sources` (
  `id` int(13) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `active` int(1) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=11 ;

-- --------------------------------------------------------

--
-- Table structure for table `url_status`
--

CREATE TABLE IF NOT EXISTS `url_status` (
  `url_id` int(13) NOT NULL,
  `status_id` int(13) NOT NULL,
  KEY `url_id` (`url_id`,`status_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `whois`
--

CREATE TABLE IF NOT EXISTS `whois` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `tld` text COLLATE utf8_unicode_ci NOT NULL,
  `whois` text COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=115 ;

-- --------------------------------------------------------

--
-- Table structure for table `whois_data`
--

CREATE TABLE IF NOT EXISTS `whois_data` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `url_id` int(11) NOT NULL,
  `whois` text COLLATE utf8_unicode_ci NOT NULL,
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=9 ;
