<?php
/**
 * Zend Framework Bootstrap code from listing B.2 here
 */
require_once 'HTTP/Request2.php';
$module_id = 4;

//$urls = $db->fetchall("SELECT DISTINCT q.*, h.url_id FROM url_analysis_queue as q, ip_domain as h WHERE module_id ='".$module_id."' and q.url_id = h.url_id and h.up = 1 LIMIT 100");
$urls = $db->fetchall("SELECT * FROM url_analysis_queue WHERE module_id = ".$module_id." AND url_src = '5'");

foreach($urls as $url){
	$mag2 = false;
	$request = new HTTP_Request2('https://mag2.norman.com/rapi/samples?owner=vaagland');
	$request->setMethod(HTTP_Request2::METHOD_POST)
			->addPostParameter('url', $url['url'])
			->setConfig(array('ssl_verify_peer' => false));

	try {
		$response = $request->send();
		if (200 == $response->getStatus()) {
			//print_r($response->getBody());
			$mag2 = json_decode($response->getBody());
			$mag2 = $mag2->results[0];
			
		} else {
			echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
					$response->getReasonPhrase();
		}
	} catch (HTTP_Request2_Exception $e) {
		echo 'Error: ' . $e->getMessage();
	}
	
	if($mag2 != false){
		$request = new HTTP_Request2('https://mag2.norman.com/rapi/tasks?owner=vaagland');
		$request->setMethod(HTTP_Request2::METHOD_POST)
				->setConfig(array('ssl_verify_peer' => false))
				->addPostParameter('sample_id', $mag2->samples_sample_id)
				->addPostParameter('env', "ivm")
				->addPostParameter('tp_IVM.FIREWALL', 3);
		try {
			$response = $request->send();
			if (200 == $response->getStatus()) {
				$mag2_task = json_decode($response->getBody());
				$mag2_task = $mag2_task->results[0];
				$data = array('url_id' => $url['url_id'],
							 'sample_id' => $mag2_task->tasks_sample_id,
							 'task_id' => $mag2_task->tasks_task_id,
							'task_state' => $mag2_task->task_state_state);
				$db->insert('mag2_tasks', $data);
				
				
				$db->delete('url_analysis_queue',
				array('url_id = ?' 	   => $url['url_id'],
					'module_id = ? ' => $module_id)
			    );
					
			} else {
				echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
						$response->getReasonPhrase();
			}
		} catch (HTTP_Request2_Exception $e) {
			echo 'Error: ' . $e->getMessage();
		}
	}
	
	
	
}
?>