<?php
/**
 * Zend Framework Bootstrap code from listing B.2 here
 */
require_once 'HTTP/Request2.php';

$module_id = 4;
$data = array();
try {
	$mongo = new Mongo('localhost');
	$mongoDB = $mongo->thug;
	
	$collection = $mongoDB->urls;
	$tasks = $db->fetchall("SELECT * FROM thug_tasks where url_id > 14458");
	$thugs = array();
	foreach($tasks as $task){
		$cursor = $collection->find(array('url' => $task['url']));
		while($cursor->hasNext()){
			$thugs[] = $cursor->getNext();
			
		}	
	}

	$events = $mongoDB->events;
	$samples = $mongoDB->samples;
	$samples_data = array();
	$events_data = array();

	foreach($thugs as $thug){
	//	print_r($thug);
		$events_cursor = $events->find(array("url_id" => $thug['_id']));
		$samples_cursor = $samples->find(array("url_id" => $thug['_id']));
		foreach($events_cursor as $event){
			$events_data[] = $event;
		}
		
		foreach($samples_cursor as $sample){
		//	$sample['data'] = false;
			$sample['malurlmanurl'] = $thug['url'];
			$samples_data[] = $sample;
			
		}
		
	}
	// do something with events data
	//print_r($events_data);
	
	// do something with samples
	//print_r($samples_data);
	
	foreach ($samples_data as $sample){
	//	print_r($sample);
		
		$dir = md5($sample['url']);
		$dir = md5($sample['malurlmanurl']);
		
		$path = 'thug_samples/'.$dir;
		var_dump($path);
		mkdir($path,0777,true);
		switch($sample['type']){
			case 'PE':
				$fileext = "exe";
				break;
			case 'JAR':
				$fileext = "jar";
				break;
					
		}
		$filename = $sample['md5'].".".$fileext; //the md5() of the file
		$filepath = $path."/".$filename;
		
		file_put_contents($filepath, base64_decode($sample['data']));
		
		
		$data['type'] = $sample['type'];
		$data['url'] = $sample['url'];
		$data['url'] = $sample['malurlmanurl'];
		$data['filename'] = $filepath;
		print_r($data);
		$db->insert('thug_samples', $data);
		
	}

  $mongo->close();
} catch (MongoConnectionException $e) {
  die('Error connecting to MongoDB server');
} catch (MongoException $e) {
  die('Error: ' . $e->getMessage());
}

?>